Solved: 2 Weeks, 22 Hours ago MyBB Error 44 on existing site
#1
Solved: 2 Weeks, 22 Hours ago
Hi,

My site is forum.survivaluk.net.    Getting a lot of traffic over the last two years with what is going on.

Yesterday the site through up a MyBB error 44.    This is one I would expect on a new installation but mine has been running for several years without issue.   It hasn't been upgraded for some time and it has an old version of PHP but nothing has changed.  My version is 1.8 but I've haven't applied any updates since 2014.  I did try changing the mysql for mysqli but it made no difference.

I then contacted the ISP, GoDaddy who simply informed me nothing has changed and that I needed to contact MyBB support.

I can't think of what could have gone wrong as nothing has changed.

Any ideas and if I have to reinstall any major DB changes that could cause me any issues between my 2014 version and the latest?

Any help or advice would be appreciated.

Best regards,
Reply
#2
Solved: 2 Weeks, 22 Hours ago
this error mean your Database is down

defined /inc/class_error.php
define("MYBB_SQL_LOAD_ERROR", 44);
Reply
#3
Solved: 2 Weeks, 22 Hours ago
Thanks for the quick response. Back to GoDaddy for another 40 mins wait then.

GoDaddy were pretty useless. After yet another 40 min wait for support I was just told their DBs were working and that it was a software problem and to speak to yourselves. They wouldn't even look at the connection to see what was happening at connection. I'm going to move the forum to another provider and try that.

Does anyone know if I can upgrade to the latest version from my old version directly or if I need to make some manual changes to the DB?
Reply
#4
Solved: 2 Weeks, 22 Hours ago
Error 44 is definitely host issue, it's where the PHP MySQL extension you've selected can't be found. If you've already changed the mysql to mysqli then isn't anything else you can do, but definitely an issue on their side. The PHP application won't suddenly change, but something on their servers can. GoDaddy is not a good hosting provider.

You definitely do need to upgrade though, you must be on one of the very first 1.8 releases. You can upgrade to 1.8.30 directly, will need to upload a full download over your current files and run the upgrade script.
MyReactions - All Plugins

Can you still feel the butterflies?

Free never tasted like pudding.
Reply
#5
Solved: 2 Weeks, 22 Hours ago
Obviously it depends on what kind of services GoDaddy is providing you, but they have been making some changes recently on their VPS platforms that have caused problems on my otherwise stable forum.
Reply
#6
Solved: 2 Weeks, 22 Hours ago
Found out what the problem was.

Seven scripts had been modified. /inc/functions_compat.php, /inc/plugins/thx.php ......

There was malicious PHP code inserted at the top of the file in hex.

I found up when I came to upload to my secondary provider, different websites. It rejected the files with a virus found message. When I edited them I found the malicious code. I edited each file on the server removed the code and it started up fine.

I'm going to move this site to that host anyway to balance the websites out. I'll update the software to the latest versions when I get there.

Thank you all for the help. Much appreciated.

Regards,
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)